// Opcode
localparam SPECIAL    =  6'h00,
           REGIMM     =  6'h01,
           J          =  6'h02,
           JAL        =  6'h03,
           BEQ        =  6'h04,
           BNE        =  6'h05,
           BLEZ       =  6'h06,
           BGTZ       =  6'h07,
           ADDI       =  6'h08,
           ADDIU      =  6'h09,
           SLTI       =  6'h0A,
           SLTIU      =  6'h0B,
           ANDI       =  6'h0C,
           ORI        =  6'h0D,
           XORI       =  6'h0E,
           LUI        =  6'h0F,
           LW         =  6'h23,
           SW         =  6'h2B;

// SPECIAL
localparam SLL        =  6'h00,
           SRL        =  6'h02,
           SRA        =  6'h03,
           SLLV       =  6'h04,
           SRLV       =  6'h06,
           SRAV       =  6'h07,
           JR         =  6'h08,
           JALR       =  6'h09,
           ADD        =  6'h20,
           ADDU       =  6'h21,
           SUB        =  6'h22,
           SUBU       =  6'h23,
           AND        =  6'h24,
           OR         =  6'h25,
           XOR        =  6'h26,
           NOR        =  6'h27,
           SLT        =  6'h2A,
           SLTU       =  6'h2B;

// REGIMM
localparam BLTZ       = 6'h00,
           BGEZ       = 6'h01;
